from apps.products.enums import DiscountUnit
from apps.products.models import Product
from vvecon.zorion.db import models

from ..enums import BannerType, PromotionType

__all__ = ['Banner']


class Banner(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField(default='', null=True, blank=True)
    discount = models.DecimalField(max_digits=5, decimal_places=2, default=0.00)
    discountUnit = models.TextField(choices=DiscountUnit.choices, default=DiscountUnit.AMOUNT)
    image = models.ImageField(upload_to='banners/')
    bannerType = models.TextField(choices=BannerType.choices)
    promotionType = models.TextField(choices=PromotionType.choices, null=True, blank=True)
    isActive = models.BooleanField(default=True)
    isFeatured = models.BooleanField(default=True)
    product = models.ForeignKey(Product, on_delete=models.CASCADE, related_name='banners', null=True, blank=True)

    def __str__(self):
        return self.name
